%define upstream_name    Text-WagnerFischer
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    An implementation of the Wagner-Fischer edit distance
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:      noarch


%description
This module implements the Wagner-Fischer dynamic programming technique, used
here to calculate the edit distance of two strings. The edit distance is a
measure of the degree of proximity between two strings, based on ``edits'': the
operations of substitutions, deletions or insertions needed to transform the
string into the other one (and vice versa).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std


%files
%doc Changes README
%{perl_vendorlib}/Text
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.40.0-8pclos2017
- rebuild against updates

